# <a href='https://gammacv.com'><img src='https://raw.githubusercontent.com/PeculiarVentures/GammaCV/master/static/gammacv-logo.png' height='60' alt='GammaCV Logo' aria-label='GammaCV Site' /></a>

# <a href='https://gammacv.com'><img src='https://raw.githubusercontent.com/PeculiarVentures/GammaCV/master/static/example-lines-extract.gif' width='890' alt='Lines Extraction Example' aria-label='Lines Extraction Example' /></a>

#### GammaCV is a WebGL accelerated Computer Vision library for modern web applications. 

We created GammaCV to make it easy to integrate Computer Vision in modern web applications. GammaCV was built with a similar architecture to TensorFlow, in particular, it also uses a data flow paradigm to create and run graphs on GPU, this enables the robust image processing and feature extraction capability of the library.

[![CircleCI](https://circleci.com/gh/PeculiarVentures/GammaCV.svg?style=svg&circle-token=4d5c9d9ac8f27f4b8319b3d4c8bc6da22bb27462)](https://circleci.com/gh/PeculiarVentures/GammaCV)

## Installation

To install the stable version:

```bash
npm install --save gammacv
```

This assumes you are using [npm](https://www.npmjs.com/) as your package manager.  


## Examples
- [Lines Detector](https://gammacv.com/examples/pc_lines)
- [Histogram of Oriented Gradients](https://gammacv.com/examples/hog)
- [Canny Edges](https://gammacv.com/examples/canny_edges)
- [Gaussian Blur](https://gammacv.com/examples/gaussian_blur)
- [Skin Test](https://gammacv.com/examples/skin_test)
- [Color Segmentation](https://gammacv.com/examples/color_segmentation)
- [Normalization](https://gammacv.com/examples/norm)
- [Histogram Equalization](https://gammacv.com/examples/histogram_equalization)
- [Extract Mean Std](https://gammacv.com/examples/extract_mean_std)
- [Extract Histogram](https://gammacv.com/examples/histogram)

## Documentation
You can find the GammaCV documentation [on the website](https://gammacv.com/docs).

## Want to help?
Want to file a bug, contribute some code, or improve documentation? Excellent! Read up on our guidelines for [contribution](https://github.com/PeculiarVentures/GammaCV/blob/master/CONTRIBUTING.md).

## Core Contributors
[Arkadiy Pilguk](https://github.com/apilguk),
[Mihail Zachepilo](https://github.com/WorldThirteen),
[Dmitriy Donskov](https://github.com/donskov),
[Ihor Pchelnik](https://github.com/p1nta),
[Rostyslav Kravchenko](https://github.com/RostyslavKravchenko),
[Andrii Omelianenko](https://github.com/andrOmelianenko)
